# Get Wallet Details

You can retrieve details about a user's wallet using this API.

#### **`GET /users/{{userId}}/funds/{{wallet_id}}`**

{% tabs %}
{% tab title="Parameters" %}

| **Field**                  | **Type** | **Description**                                                            |
| -------------------------- | -------- | -------------------------------------------------------------------------- |
| balance.available\_balance | Numeric  | Balance available for transfer                                             |
| balance.balance            | Numeric  | Total balance in the wallet including the transactions in transition       |
| funding\_source\_type      | String   | Type of funding source. "WALLET"                                           |
| id                         | String   | Unique wallet ID once a wallet is successfully created                     |
| nick\_name                 | String   | Nickname for the wallet                                                    |
| user\_id                   | UUID     | ID of the wallet user                                                      |
| verification\_status       | String   | Status of wallet. Wallet in verified status can only be used for transfers |

{% endtab %}

{% tab title="Request Sample" %}

```
curl --location -g --request POST ‘{{url}}/users/{{userId}}/funds/{{wallet_id}}' \
--header 'X-Client-Id:{{client_id}} ' \
--header 'X-Client-Secret:{{client_secret}}' \
```

{% endtab %}

{% tab title="Response Sample" %}

```
{
    "balance": {
        "available_balance": 40.00,
        "balance": 40.00
    },
    "funding_source_type": "WALLET",
    "id": UUID,
    "nick_name": "My Wallet",
    "user_id": UUID,
    "verification_status": "VERIFIED"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://paas.docs.machnetinc.com/api-references/funds/get-wallet-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
